Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.models
Class Connector

    java.lang.Object
      |
      +--APStudio.models.BasicElement
            |
            +--APStudio.models.Connector

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.ui.views.properties.IPropertySource, java.io.Serializable

public class Connector
extends APStudio.models.BasicElement

Author:
  rajags To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CHILDREN`
`static java.lang.String` | `ID_NAME`
`static java.lang.String` | `INPUTS`
`static java.lang.String` | `NODE_ADDED`
`static java.lang.String` | `NODE_REMOVED`
`static java.lang.String` | `OUTPUTS`

Constructor Summary
`Connector()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `attachSource()`
`void` | `attachTarget()`
`void` | `detachSource()`
`void` | `detachTarget()`
`java.util.List` | `getBendpoints()` Returns the list of bendpoints model objects.
`java.lang.Object` | `getEditableValue()`
`java.lang.String` | `getID()`
`java.lang.String` | `getName()`
`org.eclipse.ui.views.properties.IPropertyDescriptor[]` | `getPropertyDescriptors()` Returns useful property descriptors for the use in property sheets.
`java.lang.Object` | `getPropertyValue(java.lang.Object propName)` Returns an Object which represents the appropriate value for the property name supplied.
`BasicSubpart` | `getSource()` Gets the connection source.
`java.lang.String` | `getSourceTerminal()` Gets source terminal name.
`BasicSubpart` | `getTarget()` Gets the connection target.
`java.lang.String` | `getTargetTerminal()` Gets source terminal name.
`boolean` | `getValue()`
`void` | `insertBendpoint(int index, org.eclipse.draw2d.Bendpoint point)` Inserts a bendpoint.
`boolean` | `isPropertySet(java.lang.Object id)`
`void` | `removeBendpoint(int index)` Removes a bendpoint.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `resetPropertyValue(java.lang.Object id)`
`void` | `setBendpoint(int index, org.eclipse.draw2d.Bendpoint point)` Sets another location for an existing bendpoint.
`void` | `setID(java.lang.String s)`
`void` | `setName(java.lang.String iName)`
`void` | `setPropertyValue(java.lang.Object id, java.lang.Object value)` Sets the value of a given property with the value supplied.
`void` | `setSource(BasicSubpart source)` Sets the connection source.
`void` | `setSourceTerminal(java.lang.String s)` Sets the name of the source terminal.
`void` | `setTarget(BasicSubpart target)` Sets the connection target.
`void` | `setTargetTerminal(java.lang.String s)` Sets the name of the target terminal.
`void` | `setTraversed(boolean newValue)`
`void` | `setValue(boolean value)`
`java.lang.String` | `toString()`
`void` | `update()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID_NAME

    public static java.lang.String ID_NAME

### CHILDREN

    public static final java.lang.String CHILDREN

See Also:
  Constant Field Values

### NODE_ADDED

    public static final java.lang.String NODE_ADDED

See Also:
  Constant Field Values

### NODE_REMOVED

    public static final java.lang.String NODE_REMOVED

See Also:
  Constant Field Values

### INPUTS

    public static final java.lang.String INPUTS

See Also:
  Constant Field Values

### OUTPUTS

    public static final java.lang.String OUTPUTS

See Also:
  Constant Field Values

Constructor Detail

### Connector

    public Connector()

Method Detail

### setSource

    public void setSource(BasicSubpart source)

  Sets the connection source.

### setTarget

    public void setTarget(BasicSubpart target)

  Sets the connection target.

### getSource

    public BasicSubpart getSource()

  Gets the connection source.

### getTarget

    public BasicSubpart getTarget()

  Gets the connection target.

### getPropertyDescriptors

    public org.eclipse.ui.views.properties.IPropertyDescriptor[] getPropertyDescriptors()

  Returns useful property descriptors for the use in property sheets. this supports location , size and Name.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `APStudio.models.BasicElement`
  Returns:
    Array of property descriptors.

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object propName)

  Returns an Object which represents the appropriate value for the property name supplied.

  Specified by:
    `getPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `getPropertyValue` in class `APStudio.models.BasicElement`
  Parameters:
    `propName` - Name of the property for which the the values are needed.
  Returns:
    Object which is the value of the property.

### getBendpoints

    public java.util.List getBendpoints()

  Returns the list of bendpoints model objects.

### insertBendpoint

    public void insertBendpoint(int index,
                                org.eclipse.draw2d.Bendpoint point)

  Inserts a bendpoint.

### removeBendpoint

    public void removeBendpoint(int index)

  Removes a bendpoint.

### setBendpoint

    public void setBendpoint(int index,
                             org.eclipse.draw2d.Bendpoint point)

  Sets another location for an existing bendpoint.

### setPropertyValue

    public void setPropertyValue(java.lang.Object id,
                                 java.lang.Object value)

  Sets the value of a given property with the value supplied. Also fires a property change if necessary.

  Specified by:
    `setPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
  Overrides:
    `setPropertyValue` in class `APStudio.models.BasicElement`
  Parameters:
    `id` - Name of the parameter to be changed.
    `value` - Value to be set to the given parameter.

### setTraversed

    public void setTraversed(boolean newValue)

### attachSource

    public void attachSource()

### attachTarget

    public void attachTarget()

### detachSource

    public void detachSource()

### detachTarget

    public void detachTarget()

### setSourceTerminal

    public void setSourceTerminal(java.lang.String s)

  Sets the name of the source terminal.

### setTargetTerminal

    public void setTargetTerminal(java.lang.String s)

  Sets the name of the target terminal.

### getSourceTerminal

    public java.lang.String getSourceTerminal()

  Gets source terminal name.

### getTargetTerminal

    public java.lang.String getTargetTerminal()

  Gets source terminal name.

### setName

    public void setName(java.lang.String iName)

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getValue

    public boolean getValue()

  Returns:
    true if traversed . false otherwise.

### setValue

    public void setValue(boolean value)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### getEditableValue

    public java.lang.Object getEditableValue()

  Specified by:
    `getEditableValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### getID

    public java.lang.String getID()

### isPropertySet

    public boolean isPropertySet(java.lang.Object id)

  Specified by:
    `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object id)

  Specified by:
    `resetPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`

### setID

    public void setID(java.lang.String s)

### update

    public void update()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD